Index: debian/control
===================================================================
--- debian/control	(.../1.1-3)	(revision 12070)
+++ debian/control	(.../1.1-3lenny1)	(revision 12070)
@@ -1,13 +1,12 @@
 Source: axel
 Section: web
 Priority: optional
-Maintainer: Y Giridhar Appaji Nag <giridhar@appaji.net>
-Standards-Version: 3.7.3
+Maintainer: Y Giridhar Appaji Nag <appaji@debian.org>
+Standards-Version: 3.8.0
 Build-Depends: gettext, debhelper (>= 5), dpatch
 Homepage: http://axel.alioth.debian.org/
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/ext-maint/axel/unstable
 Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/ext-maint/axel/unstable/?op=log
-DM-Upload-Allowed: yes
 
 Package: axel
 Architecture: any
Index: debian/changelog
===================================================================
--- debian/changelog	(.../1.1-3)	(revision 12070)
+++ debian/changelog	(.../1.1-3lenny1)	(revision 12070)
@@ -1,3 +1,14 @@
+axel (1.1-3lenny1) testing-proposed-updates; urgency=low
+
+  * Patch 04_http_overflow to fix buffer overflow while translating
+    characters to hex.  Thanks Philipp Hagemeister <phihag@phihag.de>
+    (Closes: #502836)
+  * Update Standards-Version to 3.8.0, add README.source
+  * Remove DM-Upload-Allowed: yes and update Maintainer: to official
+    Debian ID
+
+ -- Y Giridhar Appaji Nag <appaji@debian.org>  Mon, 15 Dec 2008 14:29:19 +0530
+
 axel (1.1-3) unstable; urgency=low
 
   * Update 02_axelkapt to change Categories=Utility;Network;KDE; to
Index: debian/patches/04_http_overflow.dpatch
===================================================================
--- debian/patches/04_http_overflow.dpatch	(.../1.1-3)	(revision 0)
+++ debian/patches/04_http_overflow.dpatch	(.../1.1-3lenny1)	(revision 12070)
@@ -0,0 +1,31 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 04_http_overflow.dpatch by Y Giridhar Appaji Nag <appaji@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Fix buffer overflow while translating characters to hex codes
+## DP: Patch thanks to Philipp Hagemeister <phihag@phihag.de>
+
+@DPATCH@
+diff -urNad axel-1.1~/http.c axel-1.1/http.c
+--- axel-1.1~/http.c	2008-01-16 12:03:01.000000000 +0530
++++ axel-1.1/http.c	2008-12-15 13:41:12.000000000 +0530
+@@ -236,9 +236,19 @@
+ 	
+ 	for( i = j = 0; s[i]; i ++, j ++ )
+ 	{
++		/* Fix buffer overflow */
++		if (j >= MAX_STRING - 1) {
++			break;
++		}
++		
+ 		t[j] = s[i];
+ 		if( s[i] == ' ' )
+ 		{
++			/* Fix buffer overflow */
++			if (j >= MAX_STRING - 3) {
++				break;
++			}
++			
+ 			strcpy( t + j, "%20" );
+ 			j += 2;
+ 		}

Property changes on: debian/patches/04_http_overflow.dpatch
___________________________________________________________________
Added: svn:executable
   + *

Index: debian/patches/00list
===================================================================
--- debian/patches/00list	(.../1.1-3)	(revision 12070)
+++ debian/patches/00list	(.../1.1-3lenny1)	(revision 12070)
@@ -1,3 +1,4 @@
 01_bug_report
 02_axelkapt
 03_l10n_ru
+04_http_overflow
Index: debian/README.source
===================================================================
--- debian/README.source	(.../1.1-3)	(revision 0)
+++ debian/README.source	(.../1.1-3lenny1)	(revision 12070)
@@ -0,0 +1,2 @@
+Please read the README.source provided with the documentation of the
+dpatch package
